# MapViewState class

## Constructors

MapViewState()

## Properties

context → BuildContext
  The location in the tree where this widget builds. [...]
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
mounted → bool
  Whether this `State` object is currently in a tree. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
widget → MapView
  The current configuration. [...]
  read-only, inherited

## Methods

build(BuildContext context) → Widget
  Describes the part of the user interface represented by this widget. [...]
initState() → void
  Called when this object is inserted into the tree. [...]
deactivate() → void
  Called when this object is removed from the tree. [...]
  @mustCallSuper, @protected, inherited
debugFillProperties(DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node. [...]
  inherited
didChangeDependencies() → void
  Called when a dependency of this `State` object changes. [...]
  @mustCallSuper, @protected, inherited
didUpdateWidget(MapView oldWidget) → void
  Called whenever the widget configuration changes. [...]
  @mustCallSuper, @protected, inherited
dispose() → void
  Called when this object is removed from the tree permanently. [...]
  @mustCallSuper, @protected, inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  @pragma("vm:entry-point"), inherited
reassemble() → void
  Called whenever the application is reassembled during debugging, for example during hot reload. [...]
  @mustCallSuper, @protected, inherited
setState(void fn) → void
  Notify the framework that the internal state of this object has changed. [...]
  @protected, inherited
toDiagnosticsNode({String name, DiagnosticsTreeStyle style }) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by `toStringDeep`. [...]
  inherited
toString({DiagnosticLevel minLevel: DiagnosticLevel.debug }) → String
  Returns a string representation of this object.
  inherited
toStringShort() → String
  A brief description of this object, usually just the `runtimeType` and the `hashCode`. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

DEFAULT_ZOOM → const double
  `18.0`